Page MenuHomePhabricator

Allow projectadmins to change project roles in Horizon
Closed, ResolvedPublic

Description

I've implemented a new panel for Horizon, Project->Access->Project Members.

This new panel is currently read-only, but once I merge https://gerrit.wikimedia.org/r/#/c/431787/ project admins will be able to add/remove users from a project and grant/revoke projectadmin.

Details

Related Gerrit Patches:
operations/puppet : productionHorizon: added some keystone policy checks

Event Timeline

Change 431787 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] Horizon: added some keystone policy checks

https://gerrit.wikimedia.org/r/431787

Andrew added a comment.May 8 2018, 6:19 PM

I haven't implemented paging. That means that in the Tools project, loading the page and interacting with it is pretty slow. Since most of this functionality is now handled by Striker I'm not sure it's worth implementing paging in this panel -- as best I can tell it's perfectly responsive for all other projects.

Change 431787 merged by Andrew Bogott:
[operations/puppet@production] Horizon: added some keystone policy checks

https://gerrit.wikimedia.org/r/431787

Andrew closed this task as Resolved.May 11 2018, 4:34 PM
Andrew claimed this task.
Vvjjkkii renamed this task from Allow projectadmins to change project roles in Horizon to 4cdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Andrew as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
TerraCodes renamed this task from 4cdaaaaaaa to Allow projectadmins to change project roles in Horizon.Jul 1 2018, 1:06 PM
TerraCodes closed this task as Resolved.
TerraCodes assigned this task to Andrew.
TerraCodes raised the priority of this task from High to Needs Triage.
TerraCodes updated the task description. (Show Details)